## python-launchpad-bugs 0.2.21

=== debian/changelog ===
python-launchpad-bugs (0.2.21) gutsy; urgency=low

  * bugbase.py, html_bug.py: adding bug.affects attribute (LP: #137433)

 -- Markus Korn <thekorn@gmx.de>  Mon, 08 Oct 2007 13:02:33 +0200

python-launchpad-bugs (0.2.20) gutsy; urgency=low

  * buglist_filter.py, connector.py: adding --ignore_conflicts cmd-line option
    to bughelper/bugnumbers, modify given url if necessary (LP: #139679)

 -- Markus Korn <thekorn@gmx.de>  Mon, 08 Oct 2007 11:39:49 +0200

python-launchpad-bugs (0.2.19) gutsy; urgency=low

  * launchpadbugs/connector.py, launchpadbugs/html_bug.py,
    launchpadbugs/http_connection.py, testing/api_test_html_bug.py: Markus
    Korn makes python-launchpad-bugs work with python2.4 again.
  * debian/control, debian/pycompat: build for python2.4 too.
  * connector.py, text_buglist.py: new Text connector now works on buglists
    too. Thanks Markus Korn.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 20 Sep 2007 08:58:10 +0200

python-launchpad-bugs (0.2.18) gutsy; urgency=low

  * launchpadbugs/buglist_filter.py, launchpadbugs/connector.py: fix typo in
    'method' argument that specifies the connector type, also lowercase input
    of that argument.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 19 Sep 2007 11:33:18 +0200

python-launchpad-bugs (0.2.17) gutsy; urgency=low

  * Add text_bug.py: this module parses /+text to get basic attributes of a
    bugreport. The text_bug API is not stable yet. To use text_bug run
    'Bug = Connector.ConnectBug(methode="Text")'

 -- Markus Korn <thekorn@gmx.de>  Tue, 18 Sep 2007 09:54:53 +0200

python-launchpad-bugs (0.2.16) gutsy; urgency=low

  * launchpadbugs/html_bug.py: Introduce new attribute "activity"
    which gets the activity log from /+activity. (LP: #139266)

 -- Markus Korn <thekorn@gmx.de>  Mon, 17 Sep 2007 10:38:40 +0200

python-launchpad-bugs (0.2.15) gutsy; urgency=low

  * launchpadbugs/buglist_filter.py: changed lastcomment syntax in
    buglist_filter, added optional AND/OR arguments (LP: #139134) 

 -- Markus Korn <thekorn@gmx.de>  Thu, 13 Sep 2007 11:12:28 +0200

python-launchpad-bugs (0.2.14) gutsy; urgency=low

  * launchpadbugs/html_bug.py, launchpadbugs/http_connection.py,
    launchpadbugs/utils.py, testing/api_test_utils.py: Markus Korn's fix that
    let's us file bugs on edge.launchpad.net too. (LP: #139106)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 12 Sep 2007 15:19:39 +0200

python-launchpad-bugs (0.2.13) gutsy; urgency=low

  * launchpadbugs/buglist_filter.py: Markus Korn's fix for making filtering on
    last comment work again. (LP: #138967)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 12 Sep 2007 11:41:02 +0200

python-launchpad-bugs (0.2.12) gutsy; urgency=low

  * launchpadbugs/{bugbase.py,html_bug.py}: Introduce new attribute
    "description_raw" which gets the raw text from /+edit, instead of reading
    it from the main bug page (which mangles spaces). Thanks to Markus Korn
    for the patch!
  * launchpadbugs/html_bug.py, id(): Do not rely on the presence of a file
    name to get a hash; use the file object hash if present. This fixes
    handling of multiple attachments. Thanks to Markus Korn for the patch!
    (LP: #138613)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Sep 2007 16:11:33 +0200

python-launchpad-bugs (0.2.10) gutsy; urgency=low

  [ Kees Cook ]
  * Fix Bug() to actually allow number-as-a-string bugnumber argument.
  * buglist_filter.py: fixed filters that require full Bug() instance:
    - lastcomment: use "reporter" instead of missing "Reporter()[0]".
    - re-added reporter filtering that got dropped during API merge.

  [ Daniel Holbach ]
  * launchpadbugs/html_bug.py: fix by Markus Korn to deal with space changes
    of Launchpad (LP: #138092)
  * launchpadbugs/html_bug.py: fix by Markus Korn to fix the way Info Tables
    are parsed (LP: #138235)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 10 Sep 2007 08:52:23 +0200

python-launchpad-bugs (0.2.9) gutsy; urgency=low

  * launchpadbugs/html_bug.py: add another character to the libxml2
    workaround. (LP: #137574)
  * launchpadbugs/html_bug.py, launchpadbugs/connector.py: we can file bugs
    with Bug.New() now (LP: #137906)

  * Markus Korn did both of these changes and is a rockstar - please be sure
    to buy him a beer, when you meet him.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 07 Sep 2007 09:26:35 +0200

python-launchpad-bugs (0.2.8) gutsy; urgency=low

  * launchpadbugs/html_bug.py: Markus Korn fixes the libxml2 issue harder.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 06 Sep 2007 16:47:58 +0200

python-launchpad-bugs (0.2.7) gutsy; urgency=low

  * launchpadbugs/html_bug.py: Markus Korn adds a workaround for a libxml2
    issue, it removes all un-parseable chars from the bugpage. (LP: #137574)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 06 Sep 2007 12:53:17 +0200

python-launchpad-bugs (0.2.6) gutsy; urgency=low

  * launchpadbugs/bugbase.py, launchpadbugs/html_bug.py: Markus Korn's fix for
    "Bug.subscribtions should probably be Bug.subscribers" (LP: #137554).
    To not break API again, we added aliases.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 06 Sep 2007 09:37:39 +0200

python-launchpad-bugs (0.2.5) gutsy; urgency=low

  * launchpadbugs/html_bug.py: Markus Korn's fix for "error in parsing
    infotable", fixes the case where 'Distribution'-Task has no given
    package. (LP: #137583)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 06 Sep 2007 09:24:13 +0200

python-launchpad-bugs (0.2.4) gutsy; urgency=low

  * launchpadbugs/html_bug.py: fix by Markus Korn for "RFE: add a
    bug.has_target() method" (LP: #137434)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 05 Sep 2007 15:07:32 +0200

python-launchpad-bugs (0.2.3) gutsy; urgency=low

  * launchpadbugs/html_bug.py: fix by Markus Korn for "committing a
    status-change does not work" (LP: #137437)


