=== debian/control ===
Source: python-launchpad-bugs
Section: python
Priority: extra
Maintainer: Bughelper Developers <bughelper@lists.ubuntu.com>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5), python-central (>= 0.5), python-all-dev (>= 2.4)
Standards-Version: 3.7.2
XS-Vcs-Bzr: https://code.launchpad.net/~bughelper-dev/python-launchpad-bugs/main
XS-Python-Version: >= 2.4

Package: python-launchpad-bugs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-apt, python-libxml2
Breaks: python-apport (<= 0.96), apport-retrace (<= 0.96), python-bughelper (<= 0.2~r184)
XB-Python-Version: ${python:Versions}
Description: simple Python Interface to Bugs in Launchpad
 Classes to access bug information in Launchpad.
 .
 https://launchpad.net/products/python-launchpad-bugs
