## python-launchpad-bugs 0.2.30

=== debian/changelog ===
python-launchpad-bugs (0.2.30) hardy; urgency=low

  [ Markus Korn ]
  * launchpadbugs/text_bug.py: fixed parsing of milestones (LP: #202204)
  * launchpadbugs/text_bug.py: fixed parsing of task-rows, the very
    left arrow to expand a row got a seperate column (LP: #202880)
  * launchpadbugs/html_bug.py: fixed parsing of milestones in the html
    mode if a user is not logged in (LP: #202204)
  * launchpadbugs/html_bug.py: fixed issue when using py-lp-bugs
    and python2.4, thanks Stéphane Graber for pointing this out
    and testing the fix.
  * launchpadbugs/test_bug{,list}.py: do not raise API warnings in
    text-mode anymore (LP: #194082)

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Apr 2008 15:04:33 -0700

python-launchpad-bugs (0.2.29) hardy; urgency=low

  * Depend on python (>= 2.5) | python-pysqlite2, adjust imports.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Mar 2008 17:19:34 +0100

python-launchpad-bugs (0.2.28) hardy; urgency=low

  [ Markus Korn ]
  * created an examples/ directory and added some sample scripts
  * merged Martin Pitt's patch resolving a crash in bug attachment affecting
    the apport retracer (LP: #192892)

  [ Brian Murray ]
  * merged Markus's patch adding bzr branch attribute to a bug (LP: #196218)
  * added ability to filter on bugs with bzr branches to basebuglistfilter.py
  * to basebuglistfilter.py added URL filters for:
    - assignee, contact, commenter, subscriber, CVE (LP: #141388)

  [ Jamie Strandboge ]
  * handle firefox3 sqlite backend (LP: #192575) based on work by Kees Cook

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 Mar 2008 15:12:56 -0700

python-launchpad-bugs (0.2.27build1) hardy; urgency=low

  * Rebuild with recent python-central.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Mar 2008 12:46:53 +0000

python-launchpad-bugs (0.2.27) hardy; urgency=low

  * Merge text.dev branch
    - completed 'text'-interface; Bug, BugInfo and BugList objects in 'text'
      and 'html'-mode have now the same attributes/behaviour
    - added new method of filtering bug lists, the old one is still working
    - all attributes containing date or time information are now datetime
      objects (LP: #172882)
    - moved constants to a central lpconstants module
    - added possibility to access blueprints and
      list of blueprints (LP: #146377)
    - added possibility to direct authenticate via email-login and password
      (LP: #181138)

 -- Markus Korn <thekorn@gmx.de>  Fri, 18 Jan 2008 09:02:22 +0100

python-launchpad-bugs (0.2.26) hardy; urgency=low

  * launchpadbugs/html_buglist.py: some members of the the unstoppable
    Portland Mafia (Kees Cook and Brian Murray) fixed the HTML connector to
    work with the newest LP rollout. (LP: #177608)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 20 Dec 2007 08:26:13 +0100

python-launchpad-bugs (0.2.25) hardy; urgency=low

  * launchpadbugs/text_bug.py: parse comments and description out of '/+text';
    some smaller fixes.
  * merged patch for LP: #172280.
  * Fix for tab and spacing issue
  * Comment cleanup and spelling correction.
  * adding more +txt info including privacy, security, tags, date-reported,
    date-updated and date-created

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 05 Dec 2007 09:46:10 +0100

python-launchpad-bugs (0.2.24) hardy; urgency=low

  * launchpadbugs/text_bug.py: add subscriber.lplogin to text bug connector.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 15 Nov 2007 08:22:44 +0100

python-launchpad-bugs (0.2.23) hardy; urgency=low

  * launchpadbugs/text_bug.py: add assignee to text bug connector. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 31 Oct 2007 14:54:49 -0400

python-launchpad-bugs (0.2.22) gutsy; urgency=low

  * connector.py: added TaskList() wrapper-function
  * html_buglist.py: added optional switch 'all_bugs' to BugList, BugPage
    and BugInfo; if 'all_bugs'==False BugInfo-objects are equal if
    they have the same bug-number otherwise  BugInfo-objects
    are equal if all attributes are equal.

 -- Markus Korn <thekorn@gmx.de>  Mon, 08 Oct 2007 15:26:32 +0200
