## python-launchpad-bugs 0.2.30.1

=== debian/changelog ===
python-launchpad-bugs (0.2.30.1) hardy-proposed; urgency=low

  [ Brian Murray ]
  * launchpadbugs/html_bug.py: fixed parsing of comments and secrecy for html
    mode (LP: #227537)
  [ Markus Korn ]
  * launchpadbugs/html_bug.py: fixed adding new subscribers (LP: #235681)

 -- Brian Murray <brian@ubuntu.com>  Wed, 04 Jun 2008 14:59:47 -0700
