## python-launchpad-bugs 0.3.1

=== debian/changelog ===
python-launchpad-bugs (0.3.1) intrepid; urgency=low

  [ Martin Pitt ]
  * html_bug.py: Fix parsing of duplicate_of. (LP: #263933)

  [ Markus Korn ]
  * launchpadbugs/html_bug.py: fixed parsing nickname/date/reporter of
    bugreports to work with recent changes on edge (LP: #262192)

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Sep 2008 15:35:30 -0700

python-launchpad-bugs (0.3) intrepid; urgency=low

  [ Markus Korn ]
  * Improved LPBugList and LPBugPage:
    These two classes now have a cleaner structure, filtering of bug lists
    with python-launchpad-bugs is now a lot easier. With
    LPBugList.set_progress_hook() it is now possible to visualize the
    process of fetching bug lists (LP: #240750).
  * launchpadbugs/{tasksbase,html_bug.py,text_bug.py}: if a task is a
    bugwatch then task.remote returns the remote-url, otherwise it returns
    'None'
  * Improved error handling in python-launchpad-bugs and added
    infrastructure for unittests. This also contains some basic testcases in
    tests/ (LP: #189572)
  * Added ability to parse bugtracker overviews (LP: #203312)
  * launchpadbugs/html_bug.py: added a default value for comment subject which
    Launchpad now requires (LP: #259680)
  * It is now possible to filter bug lists based on milestones. This also
    implements a helper function to list all active milestones of a project
    in launchpad (LP: #200457)
  * Added function to filter buglists based on Bug.date_reported
    (LP: #185357)
  * added 'move-duplicates' written by Kjell Braden and 'README' to
    examples/ (LP: #208148)
  * launchpadbugs/attachmentsbase.py: LPAttachment.download() now also
    accepts an optional argument to specify the location where to download
    the attachment (LP: #242317)
  * Added method to let the user choose which version/server of launchpad to
    use, so it is possible to explicitly use bugs.launchpad.net or
    bugs.edge.launchpad.net (LP: #188298)
  * launchpadbugs/html_bug.py: InfoTable: fixed parsing of milestones in
    read-only mode (LP: #243057)
  * Added functionality for adding new tasks to bug reports.
    With this implementation so far you are able to add 'project' and
    'distro' tasks, but unable to create bugwatches and change task
    attributes before committing the changes. (LP: #193853)
  * launchpadbugs/html_bug.py: Stephan Hermann fixed html connector to work
    with the newest launchpad rollout (LP: #243193, #244452)
  * fixed parsing of remote url for bugwatches in the html mode
  * fixed LPBugList to be usable with python2.4 again
  * launchpadbugs/http_connection.py: removed possible issue in the
    constructor of HTTPConnection.
  * launchpadbugs/buglistbase.py: replaced super() call with ordinary
    delegation method to fix (LP: #245408)
  * launchpadbugs/html_buglist.py, launchpadbugs/html_blueprintlist.py:
    adjusted parsing methods to be uasable with the latest LP rollout
  * launchpadbugs/basebuglistfilter.py: added 'batch' to valid options for
    URLBugListFilter.
  * Stephan Hermann added support for getting list of projects to
    python-launchpad-bugs
  * Stephan Hermann added support package lists, thanks Stephan
    (LP: #249461)
  * launchpadbugs/html_buglist.py: support parsing of '+expirable-bugs'
    lists (LP: #249381), this also adds better debugging functionality to
    all parsing methods.
  * launchpadbugs/http_connection.py: reworked the HTTPConnection class to
    reduce number of one-shot sessions (LP: #245552)
  * launchpadbugs/config.py: added module to handle global configuration
  * tests/*: added more test-cases and added more functionality to testing
    framework.
    .
    Unfortunately this update breaks some compatibilty. Please update your 
    code to make use of the python-launchpad-bugs 0.3 API. It's worth it.
    More details at:
    https://wiki.ubuntu.com/BugHelper/Dev/python-launchpad-bugs/changes_0.3

  [ Brian Murray ]
  * launchpadbugs/utils.py: send bzr messages, used to get the py-lp-b
    revision number, to ~/.bzr.log and not stderr (LP: #260515)
  * launchpadbugs/connector.py: merged patch from Markus to add wrapper for
    Bug.Error.LPUrlError (LP: #254556) 

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Aug 2008 12:26:27 -0700

python-launchpad-bugs (0.2.34) intrepid; urgency=low

  [ Markus Korn ]
  * launchpadbugs/html_bug.py: InfoTable: fixed parsing of milestone if user
    is not allowed to change values (LP: #243057)
  * launchpadbugs/http_connection.py: added progress_hook to
    HTTPConnnection (LP: #239684)
  * More robust parser for the +text-mode:
      - using ConfigParser and email modul instead of custom-made parser
      - workaround parsing errors in text-mode (LP: #210576)
      - added 'date_incomplete' and 'date_left_new'
  * launchpadbugs/http_connection.py: check if login was successful
    (LP: #210731)
  * launchpadbugs/http_connection.py: added HTTPConnection.save_cookie()
    to dump LP-authentication-cookie to a file (LP: #240685)
  * launchpadbugs/http_connection.py: added (optional) username to
    http-request header and fixed function to get version of py-lp-bugs
    (LP: #233948)
  * launchpadbugs/{taskbase,text_bug}.py: added 'component' attribute to
    LPTask, thanks to Steve Beattie for working on it, updated AUTHORS.
  * launchpadbugs/html_bug.py: fixed parsing of html pages of latest
    launchpad rollout, thanks to Stephan Hermann (LP: #244452) 

  [ Brian Murray ]
  * launchpadbugs/basebuglistfilter.py: updated broken filter option for bug
    supervisor

 -- Brian Murray <brian@ubuntu.com>  Tue, 01 Jul 2008 16:31:50 -0700

python-launchpad-bugs (0.2.33) intrepid; urgency=low

  [ Markus Korn ]
  * launchpadbugs/lphelper.py: fixed html-parser for Dapper again,
    workaround for broken libxml2 (LP: #220679)
  * launchpadbugs/html_bug.py: fixed adding new subscribers (LP: #235681)

 -- Brian Murray <brian@ubuntu.com>  Wed, 04 Jun 2008 15:26:35 -0700

python-launchpad-bugs (0.2.32) intrepid; urgency=low


