## python-launchpad-bugs 0.3.5

=== debian/changelog ===
python-launchpad-bugs (0.3.5) jaunty; urgency=low

  [ Martin Pitt ]
  * launchpadbugs/storeblob.py, upload(): Add new optional parameter
    "staging", to store blobs on staging.launchpad.net.
  * launchpadbugs/html_bug.py: Fix parsing of duplicate yet again.

  [ Markus Korn ]
  * launchpadbugs/http_connection.py: Fix launchpadlibrarian attachment links
    for staging.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Mar 2009 00:17:59 +0100

python-launchpad-bugs (0.3.4) jaunty; urgency=low

  [ Matthias Klose ]
  * Use unversioned interpreter in move_duplicates.py.

  [ Markus Korn ]
  * merged changes from ubuntu package 0.3.3
  * fixed parsing of subscriptions on edge.launchpad.net, edge is now using
    javascript requests to get the subscribers for a bug. This fix results
    in an additional HTTPS request by python-launchpad-bugs (LP: #327620) 

 -- Markus Korn <thekorn@gmx.de>  Mon, 02 Mar 2009 21:05:05 +0100

python-launchpad-bugs (0.3.2) jaunty; urgency=low

  [ Brian Murray ]
  * added examples/duplicate-test-file-check.py: a script that checks a
    bug's duplicates for attachments
  * added examples/team-reported-bugs.py: a script that creates an html page
    of package bugs reported by members of a team

  [ Markus Korn ]
  * launchpadbugs/utils.py: Fixed whitespace inconsistencies, thanks to John
    Morrissey (LP: #280775)
  * launchpadbugs/basebuglistfilter.py: don't loose the Exceptions raised by
    the implementation of the Bug class when running get_current_task()
    (LP: #288075)
  * launchpadbugs/storeblob.py: increase the timeout when uploading bugs to
    Launchpad (LP: #314212)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Jan 2009 14:50:34 -0800
