## python-launchpad-bugs 0.3.6

=== debian/changelog ===
python-launchpad-bugs (0.3.6) karmic; urgency=low

  [ Colin Watson ]
  * Ignore quasi-comments containing activity log information (LP: #352543).

  [ Markus Korn ]
  * fixed incompatibility with python 2.6 in karmic (LP: #396531)             
  * fixed test runner, output streams for unittest results now need a flush() 
    method

 -- Brian Murray <brian@ubuntu.com>  Wed, 22 Jul 2009 14:35:15 -0700
